/////////////////////////////// Plot - Manager+Inspector.h (mwx,24.01.06) /////

#import <Cocoa/Cocoa.h>

@interface Manager (Inspector) 

///////////////////////////////////////////////////////////////// GENERAL STUFF
- (void)setInspector:(NSString *)label;
- (IBAction)selectInspectorTab:(id)sender;
- (IBAction)axis12DidChange:(id)sender;
- (int)axis12;
- (void)update;
////////////////////////////////////////////////////////////// MOUSE MODE STUFF
- (BOOL)mouseMode:(NSString *)mode;
- (IBAction)mouseModeDidChange:(id)sender;
- (void)setMouseLocation:(double)loc;
//////////////////////////////////////////////////////////////// DATA INSPECTOR
- (IBAction)dataInspectorChange:(id)sender;
-	(void)updateDataInspector;
///////////////////////////////////////////////////////////// GENERAL INSPECTOR
- (IBAction)generalDidChange:(id)sender;
- (void)updateGeneral;
////////////////////////////////////////////////////////// DATA STYLE INSPECTOR
- (IBAction)styleDidChange:(id)sender;		
- (void)updateStyle;
- (IBAction)autoColor:(id)sender;
- (IBAction)autoDash:(id)sender;
- (IBAction)autoSymbol:(id)sender;
//////////////////////////////////////////////////////////////// AXIS INSPECTOR
- (IBAction)axisDidChange:(id)sender;
- (void)updateAxis;
///////////////////////////////////////////////////////// AXIS FORMAT INSPECTOR
- (IBAction)axisFormatDidChange:(id)sender;
- (void)updateAxisFormat;
//////////////////////////////////////////////////////////////// TEXT INSPECTOR
- (IBAction)textDidChange:(id)sender;
- (void)updateText;
///////////////////////////////////////////////////////////// GRAPHIC INSPECTOR
- (IBAction)graphicDidChange:(id)sender;
- (void)updateGraphic;
- (void)setGraphicDefaults;
////////////////////////////////////////////////////////////// LEGEND INSPECTOR
- (IBAction)legendDidChange:(id)sender;
- (void)updateLegend;
//////////////////////////////////////////// CALCULATION/MANIPULATION INSPECTOR
- (IBAction)incStepChanged:(id)sender;
- (IBAction)spStrengthChanged:(id)sender;
///////////////////////////////////////////////// INSPECTOR VALUE DISPLAY STUFF
- (NSString *)getValue:(int)axis:(int)mode:(double)val;
- (NSString *)getDValue:(int)axis:(int)mode:(double)vala:(double)valb;
- (void)showValues:(NSPoint)loc;
- (void)showValues:(NSPoint)aloc:(NSPoint)bloc;

@end ////////////////////////////////////////////////////////////////////// END
